readBGENToMatrixByGene {seqminer} | R Documentation

## Read a gene from BGEN file and return a genotype matrix

### Description

Read a gene from BGEN file and return a genotype matrix

### Usage

    readBGENToMatrixByGene(fileName, geneFile, geneName)

### Arguments

`fileName` | character, represents an input BGEN file (Bgzipped, with Tabix index)
`geneFile` | character, a text file listing all genes in refFlat format
`geneName` | character vector, which gene(s) to be extracted

### Value

genotype matrix

### See Also

http://zhanxw.com/seqminer/ for online manual and examples

### Examples

    fileName = system.file("bgen/all.anno.filtered.extract.bgen", package = "seqminer")
    geneFile = system.file("vcf/refFlat_hg19_6col.txt.gz", package = "seqminer")
    cfh <- readBGENToMatrixByGene(fileName, geneFile, "CFH")

[Package seqminer version 7.1 Index]